Jump to content


Photo

XMOD: Region / Device / Root patched Google Wallet

* * * * * 5 votes

  • Please log in to reply
762 replies to this topic

#701
nalty

nalty

    Newbie

  • Members
  • Pip
  • 4 posts
  • Gender:Male
  • Devices:Nexus 4 16GB, Nexus 7 16GB
  • Twitter:@snalty
So I think it's safe to say while adding a card works in store purchases fail.

Letting us add a card is definitely a step in the right direction and gives us hope that we might soon be able to enjoy contactless payments at M&S, Greggs and McDonalds! :P

  • 0

#702
pavelond

pavelond

    Newbie

  • Members
  • Pip
  • 1 posts
Sorry for little stupid text but
can anyone tell me exactly step by step what to do, to let wallet working for me in czech republic?
what to download what to copy where etc etc. I have rooted device, just few hours.
My device is galaxy nexus running 4.2.1
P

  • 0

#703
nalty

nalty

    Newbie

  • Members
  • Pip
  • 4 posts
  • Gender:Male
  • Devices:Nexus 4 16GB, Nexus 7 16GB
  • Twitter:@snalty

Sorry for little stupid text but
can anyone tell me exactly step by step what to do, to let wallet working for me in czech republic?
what to download what to copy where etc etc. I have rooted device, just few hours.
My device is galaxy nexus running 4.2.1
P


Do you have a US mastercard or a german/uk card?

  • 0

#704
tominek81

tominek81

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:Nexus S

Do you have a US mastercard or a german/uk card?


Google wallet is unusable in the Czech Republic till Google canceled their prepaid card. Transactions are always denied in Czech shops with NFC terminals. I have US credit card imported to Google wallet but still no luck to make payment with my Nexus S CM10.1 phone :/

  • 0

#705
esse09

esse09

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:Samsung i900
Hi all...
i installed the patched apk on my Nexus S, it went fine.
It also let me add my italian pre-paid card... but on the top is shows an "unsupported device" warning, that forwards me to a short note by google saying "we can't support devices with custom operating systems"
tonight, or tomorrow, i'll stop at mcdonalds (the only business in italy that has NFC support) and try to pay, and let you know what happens
if someone knows already, please let me know :)

  • 0

#706
mydedis

mydedis

    Newbie

  • Members
  • Pip
  • 7 posts

Hi all...
i installed the patched apk on my Nexus S, it went fine.
It also let me add my italian pre-paid card... but on the top is shows an "unsupported device" warning, that forwards me to a short note by google saying "we can't support devices with custom operating systems"
tonight, or tomorrow, i'll stop at mcdonalds (the only business in italy that has NFC support) and try to pay, and let you know what happens
if someone knows already, please let me know :)


Esselunga shops support NFC as well, at least in Milan.
I successfully paid both at Esselunga and McD, back in May 2012 with the Google Prepaid card.
I haven't tried with the new version, linked with my credit card: please let me know if it works.

  • 0

#707
TheBishopOfSoho

TheBishopOfSoho

    Newbie

  • Members
  • Pip
  • 18 posts
So, Ive tried using the new version with a BFPS card in a number of outlets, and it keeps getting declined. In Greggs, MacDonalds and Cafe Nero. Same issues every time. Annoyed.

  • 0

#708
Avon

Avon

    Newbie

  • Members
  • Pip
  • 10 posts
  • Devices:Galaxy Nexus

So, Ive tried using the new version with a BFPS card in a number of outlets, and it keeps getting declined. In Greggs, MacDonalds and Cafe Nero. Same issues every time. Annoyed.


Did this only start happening with the latest version? Were you able to purchase items from the listed places above before you updated?

Have you tried paying for an Oyster journey again?

  • 0

#709
dmcconachie

dmcconachie

    Newbie

  • Members
  • Pip
  • 9 posts
  • Gender:Male
  • Devices:Nexus 4, Galaxy Nexus, TF201
  • Twitter:@dmcconachie
Dies anyone have the original apk so I can upgrade to 4.2.2? Thought I'd backed it up but obviously put it somewhere too safe!

  • 0

#710
MrSurriban

MrSurriban

    Newbie

  • Members
  • Pip
  • 1 posts
I'm not able to install the .apk file. I've tried it on my Verizon Galaxy Nexus on stock 4.1.1 and CM 10.0 stable release.

It simply says "app not installed" on the screen, but when I try to install it through ADB it says the following:


pkg: /data/local/tmp/com.google.android.apps.walletnfcrel.modaco.1.6-R96-v13.apk
Failure [INSTALL_PARSE_FAILED_NO_CERTIFICATES]

I actually tried to sign the apk with a debug key I made, and I still got the same thing.

Is there any way fix that particular problem?

  • 0

#711
Morris Lee

Morris Lee

    Addict

  • Members
  • PipPipPipPipPip
  • 538 posts
  • Gender:Male
  • Location:Edmonton, Alberta
  • Devices:Atrix 4G, Acer Liquid E
When I run Wallet, it just tries to set it up and eventually force close. below is the logcat, please advise what I need to do!

+7ms, total 39ms
D/dalvikvm(13097): GC_CONCURRENT freed 458K, 19% free 2815K/3456K, paused 1ms+2m
s, total 21ms
E/BrcmNfcJni( 3234): SecureElement::transceive: wait response timeout
I/NfcExecutionEnvironment(13554): NFCEE.close --: stack=[SecureElement, SecureEl
ement, CardManagerApplet] openTid=195 nfceeOpened=true holdCount=3
I/NfcExecutionEnvironment(13554): NFCEE.close --: stack=[SecureElement, SecureEl
ement] openTid=195 nfceeOpened=true holdCount=2
E/BrcmNfcNfa( 3234): nfa_nv_co_write: fail to open, error = 2
E/	    ( 3234): nfc_hal_nv_co_write: fail to open, error = 2
D/NfcService( 3234): NFC-EE OFF
E/BrcmNfcJni( 3234): nfcManager_doDeselectSecureElement: already deselected
D/NfcService( 3234): NFC-C ON
E/BrcmNfcJni( 3234): nfcManager_enableDiscovery: already polling
I/NfcExecutionEnvironment(13554): NFCEE.close closed: stack=[SecureElement] open
Tid=195 nfceeOpened=true tryLock=0ms session=30246ms
E/InitializerTaskManagerImpl(13554): INITIALIZE_TSA: elapsed=30253ms failed: com
.google.android.apps.embeddedse.iso7816.SecureElementAppletStatusException: Card
ManagerApplet: SELECT [default CardManager]: 0-byte response: statusWord=0x0 (0x
0)
E/InitializerTaskManagerImpl(13554): INITIALIZE_TSA: waited: failed: com.google.
android.apps.embeddedse.iso7816.SecureElementAppletStatusException: CardManagerA
pplet: SELECT [default CardManager]: 0-byte response: statusWord=0x0 (0x0)
E/InitializerTaskManagerImpl(13554): INITIALIZE_SECURE_ELEMENT: aborting; failed
Dependencies=[INITIALIZE_TSA]
E/InitializerTaskManagerImpl(13554): INITIALIZE_SECURE_ELEMENT: waited: failed:
com.google.android.apps.wallet.init.InitializerTaskDependenciesFailedException:
[INITIALIZE_TSA]
E/InitializerTaskManagerImpl(13554): CHECK_SECURE_ELEMENT_ID: aborting; failedDe
pendencies=[INITIALIZE_SECURE_ELEMENT]
E/InitializerTaskManagerImpl(13554): CHECK_SECURE_ELEMENT_ID: waited: failed: co
m.google.android.apps.wallet.init.InitializerTaskDependenciesFailedException: [I
NITIALIZE_SECURE_ELEMENT]
I/InitializerTaskManagerImpl(13554): removed: [INITIALIZE_TSA, INITIALIZE_SECURE
_ELEMENT, CHECK_SECURE_ELEMENT_ID]
W/dalvikvm(13554): threadid=14: thread exiting with uncaught exception (group=0x
40dba930)
E/AndroidRuntime(13554): FATAL EXCEPTION: Wallet Parallel Executor #2
E/AndroidRuntime(13554): java.lang.RuntimeException: java.util.concurrent.Execut
ionException: com.google.android.apps.embeddedse.iso7816.SecureElementAppletStat
usException: CardManagerApplet: SELECT [default CardManager]: 0-byte response: s
tatusWord=0x0 (0x0)
E/AndroidRuntime(13554):	    at com.google.common.base.Throwables.propagate(T
hrowables.java:156)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.init.Initializ
erTaskManagerImpl$2.apply(InitializerTaskManagerImpl.java:584)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.init.Initializ
erTaskManagerImpl$2.apply(InitializerTaskManagerImpl.java:556)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.init.Initializ
erTaskManagerImpl.getFatalFailures(InitializerTaskManagerImpl.java:380)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.init.Initializ
erTaskManagerImpl.getFatalFailures(InitializerTaskManagerImpl.java:371)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.init.Initializ
erTaskManagerImpl.getFirstFatalFailure(InitializerTaskManagerImpl.java:395)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.ui.init.Initia
lizerPresenter$1.execute(InitializerPresenter.java:120)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.ui.init.Initia
lizerPresenter$1.execute(InitializerPresenter.java:98)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.util.async.Act
ionRequests$RequestImpl$1.run(ActionRequests.java:189)
E/AndroidRuntime(13554):	    at java.util.concurrent.ThreadPoolExecutor.runWo
rker(ThreadPoolExecutor.java:1080)
E/AndroidRuntime(13554):	    at java.util.concurrent.ThreadPoolExecutor$Worke
r.run(ThreadPoolExecutor.java:573)
E/AndroidRuntime(13554):	    at java.lang.Thread.run(Thread.java:856)
E/AndroidRuntime(13554): Caused by: java.util.concurrent.ExecutionException: com
.google.android.apps.embeddedse.iso7816.SecureElementAppletStatusException: Card
ManagerApplet: SELECT [default CardManager]: 0-byte response: statusWord=0x0 (0x
0)
E/AndroidRuntime(13554):	    at java.util.concurrent.FutureTask.report(Future
Task.java:94)
E/AndroidRuntime(13554):	    at java.util.concurrent.FutureTask.get(FutureTas
k.java:160)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.init.Initializ
erTaskManagerImpl.waitOnce(InitializerTaskManagerImpl.java:312)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.init.Initializ
erTaskManagerImpl.doWaitAllTasksOnce(InitializerTaskManagerImpl.java:268)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.init.Initializ
erTaskManagerImpl.waitAllTasksOnce(InitializerTaskManagerImpl.java:247)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.ui.init.Initia
lizerPresenter$1.execute(InitializerPresenter.java:116)
E/AndroidRuntime(13554):	    ... 5 more
E/AndroidRuntime(13554): Caused by: com.google.android.apps.embeddedse.iso7816.S
ecureElementAppletStatusException: CardManagerApplet: SELECT [default CardManage
r]: 0-byte response: statusWord=0x0 (0x0)
E/AndroidRuntime(13554):	    at com.google.android.apps.embeddedse.iso7816.Is
o7816.getStatusWord(Iso7816.java:225)
E/AndroidRuntime(13554):	    at com.google.android.apps.embeddedse.iso7816.Is
o7816.assertStatusWord(Iso7816.java:162)
E/AndroidRuntime(13554):	    at com.google.android.apps.embeddedse.applet.Abs
tractApplet.assertStatusWord(AbstractApplet.java:322)
E/AndroidRuntime(13554):	    at com.google.android.apps.embeddedse.applet.Abs
tractApplet.select(AbstractApplet.java:167)
E/AndroidRuntime(13554):	    at com.google.android.apps.embeddedse.applet.Abs
tractApplet.transceive(AbstractApplet.java:231)
E/AndroidRuntime(13554):	    at com.google.android.apps.embeddedse.applet.Abs
tractApplet.transceiveSuccess(AbstractApplet.java:276)
E/AndroidRuntime(13554):	    at com.google.android.apps.embeddedse.applet.Abs
tractApplet.getData(AbstractApplet.java:217)
E/AndroidRuntime(13554):	    at com.google.android.apps.embeddedse.applet.car
dmanager.CardManagerApplet.getCardManagerData(CardManagerApplet.java:93)
E/AndroidRuntime(13554):	    at com.google.android.apps.embeddedse.applet.car
dmanager.CardManagerApplet.getCplc(CardManagerApplet.java:48)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.secureelement.
SecureElement.doGetCplc(SecureElement.java:357)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.secureelement.
SecureElement.getSecureElementApi(SecureElement.java:310)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.secureelement.
SecureElement.getCachedSecureElementApi(SecureElement.java:299)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.secureelement.
SecureElement.getIsdCin(SecureElement.java:270)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.secureelement.
SecureElementManagerImpl.getIsdCin(SecureElementManagerImpl.java:235)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.tsa.Initialize
TsaTask.isKeyConfigurationCorrect(InitializeTsaTask.java:164)
E/AndroidRuntime(13554):	    at com.google.android.apps.wallet.tsa.Initialize
TsaTask.e
D/dalvikvm(13554): GC_CONCURRENT freed 298K, 13% free 3289K/3768K, paused 4ms+4m
s, total 49ms
W/ActivityManager( 2119): Process com.google.android.apps.walletnfcrel has crash
ed too many times: killing!
W/ActivityManager( 2119):   Force finishing activity com.google.android.apps.wal
letnfcrel/com.google.android.apps.wallet.ui.init.InitializerActivity
I/ActivityManager( 2119): Killing proc 13554:com.google.android.apps.walletnfcre
l/u0a10118: crash
W/InputDispatcher( 2119): channel '41602b30 com.google.android.apps.walletnfcrel
/com.google.android.apps.wallet.ui.init.InitializerActivity (server)' ~ Consumer
closed input channel or an error occurred.  events=0x9
E/InputDispatcher( 2119): channel '41602b30 com.google.android.apps.walletnfcrel
/com.google.android.apps.wallet.ui.init.InitializerActivity (server)' ~ Channel
is unrecoverably broken and will be disposed!
W/InputDispatcher( 2119): Attempted to unregister already unregistered input cha
nnel '41602b30 com.google.android.apps.walletnfcrel/com.google.android.apps.wall
et.ui.init.InitializerActivity (server)'
I/WindowState( 2119): WIN DEATH: Window{41602b30 u0 com.google.android.apps.wall
etnfcrel/com.google.android.apps.wallet.ui.init.InitializerActivity}
D/android.widget.GridLayout( 3254): horizontal constraints: x1-x0>=350, x2-x1>=3
90, x2-x0<=736 are inconsistent; permanently removing: x2-x0<=736.
D/android.widget.GridLayout( 3254): horizontal constraints: x1-x0>=350, x2-x1>=3
90, x2-x0<=736 are inconsistent; permanently removing: x2-x0<=736.
D/android.widget.GridLayout( 3254): horizontal constraints: x1-x0>=350, x2-x1>=3
90, x2-x0<=736 are inconsistent; permanently removing: x2-x0<=736.
D/android.widget.GridLayout( 3254): horizontal constraints: x1-x0>=350, x2-x1>=3
90, x2-x0<=736 are inconsistent; permanently removing: x2-x0<=736.
D/android.widget.GridLayout( 3254): horizontal constraints: x1-x0>=350, x2-x1>=3
90, x2-x0<=736 are inconsistent; permanently removing: x2-x0<=736.
D/android.widget.GridLayout( 3254): horizontal constraints: x1-x0>=350, x2-x1>=3
90, x2-x0<=736 are inconsistent; permanently removing: x2-x0<=736.
D/dalvikvm( 3254): GC_CONCURRENT freed 2358K, 44% free 15211K/27124K, paused 2ms
+11ms, total 54ms
D/dalvikvm( 3254): WAIT_FOR_CONCURRENT_GC blocked 49ms
W/InputMethodManagerService( 2119): Got RemoteException sending setActive(false)
notification to pid 13554 uid 10118
I/dalvikvm( 3254): Jit: resizing JitTable from 4096 to 8192
D/Trebuchet.LauncherModel( 3254): DbDebug    Modify item (Gmail) in db, id: 31 (
29, 0, 0, 0) --> (29, 0, 0, 0)
D/Trebuchet.LauncherModel( 3254): DbDebug    Modify item (Facebook) in db, id: 3
2 (29, 0, 1, 0) --> (29, 0, 1, 0)
D/Trebuchet.LauncherModel( 3254): DbDebug    Modify item (Messaging) in db, id:
11 (29, 0, 2, 0) --> (29, 0, 2, 0)
D/Trebuchet.LauncherModel( 3254): DbDebug    Modify item (Talk) in db, id: 30 (2
9, 0, 0, 1) --> (29, 0, 0, 1)
D/Trebuchet.LauncherModel( 3254): DbDebug    Modify item (Google+) in db, id: 33
(29, 0, 1, 1) --> (29, 0, 1, 1)
D/dalvikvm( 3254): GC_FOR_ALLOC freed 2552K, 43% free 15711K/27124K, paused 23ms
, total 23ms
D/dalvikvm( 3254): GC_FOR_ALLOC freed 1732K, 35% free 17852K/27124K, paused 31ms
, total 32ms
I/dalvikvm-heap( 3254): Grow heap (frag case) to 23.378MB for 6054736-byte alloc
ation
D/dalvikvm( 3254): GC_CONCURRENT freed 241K, 29% free 23523K/33040K, paused 3ms+
4ms, total 28ms
D/dalvikvm( 3254): WAIT_FOR_CONCURRENT_GC blocked 22ms
D/dalvikvm( 3254): WAIT_FOR_CONCURRENT_GC blocked 23ms
I/ActivityManager( 2119): Start proc com.android.browser for service com.android
.browser/.widget.BookmarkThumbnailWidgetService: pid=14187 uid=10003 gids={50003
, 3003, 1015, 1028

  • 0

#712
thehunt33r

thehunt33r

    Newbie

  • Members
  • Pip
  • 2 posts
No way to have it working on both my Nexus 4 and 7. Made it work once but since then nothing... (had to wipe once)

(Reason : Wait until the device is fully initialized / Either by pushing via ADB or pasting)

Edit : Made it work using official one for the Nexus 7. Nexus 4 says location is invalid for the official, and the device is not fully initialised with the modded :/

Edited by thehunt33r, 03 March 2013 - 05:13 PM.

  • 0

#713
Hammermann

Hammermann

    Newbie

  • Members
  • Pip
  • 40 posts
  • Gender:Male
  • Location:United States
  • Devices:LG Optimus G E-970 (AT&T)
  • Twitter:@axelhammermann

No way to have it working on both my Nexus 4 and 7. Made it work once but since then nothing... (had to wipe once)

(Reason : Wait until the device is fully initialized / Either by pushing via ADB or pasting)

Edit : Made it work using official one for the Nexus 7. Nexus 4 says location is invalid for the official, and the device is not fully initialised with the modded :/

Assuming you are in the UK as the US Nexus 4 I have has GW as a stock APK out of the box.

  • 0

#714
thehunt33r

thehunt33r

    Newbie

  • Members
  • Pip
  • 2 posts
I'm in Spain. My Nexus 4 is from the US, but I'm under Paranoid Android. It works on my Nexus 7 (Clean Rom, so not stock either).

  • 0

#715
Rusty!

Rusty!

    Diehard

  • Members
  • PipPipPipPip
  • 413 posts
  • Gender:Male
  • Location:Pompey
  • Devices:Nexus 5 16GB
  • Twitter:@RussUnderhill

Assuming you are in the UK as the US Nexus 4 I have has GW as a stock APK out of the box.

It's there on UK handsets too, the ROMs are identical. It's just disabled for us on bootup.

  • 0

#716
Hammermann

Hammermann

    Newbie

  • Members
  • Pip
  • 40 posts
  • Gender:Male
  • Location:United States
  • Devices:LG Optimus G E-970 (AT&T)
  • Twitter:@axelhammermann

It's there on UK handsets too, the ROMs are identical. It's just disabled for us on bootup.

That's a though break. I have used this patch on at least four different phones over the last year and spent about a month of my free time doing so! Imagine my surprise when (a) finding the GW app on my new Nexus 4 on boot up and (B) it worked out of the box! What will I do with my spare time now?

  • 0

#717
Avon

Avon

    Newbie

  • Members
  • Pip
  • 10 posts
  • Devices:Galaxy Nexus
I don't know why you're all still using Paul's modded APKs on your Nexus 4s. Installing from the Play Store and using Market Enabler allows you to use the stock APK, regardless of you location. I've been doing it like this for over a year with my Galaxy Nexus, and 2 months with my Nexus 4, allowing me to update Wallet straight from the Play Store on my phone, just like any other application

The issue is how we're going to get payments working again outside the USA. Nobody seems to be talking about that anymore.

  • 0

#718
PaulOBrien

PaulOBrien

    It's My Party

  • Founder
  • PipPipPipPipPipPip
  • 36,368 posts
  • Gender:Male
  • Location:Norwich, UK
  • Devices:All the Nexus!
  • Twitter:@paulobrien
I don't really want my Play Store and everything else switched to the US...?

P

  • 0

You can follow me on Twitter - http://twitter.com/paulobrien / Follow MoDaCo on Twitter - http://twitter.com/modaco

Want to donate? MoDaCo is raising money for the Multiple Sclerosis society.

Posted Image


#719
xybur

xybur

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:HTC One X (at&amp;t)
  • Twitter:@xybur
I have the "Insufficient secure element privileges" error when I start the app. I set permissions and installed as described, using most recent version as of the time stamp on this post.

Really hate to be that guy, but I have an at&t HTC One X and I can't get the app to run. I've seen all sorts of suggestions from an hour or so of googling, reading about changing build.props, loading libs, flashing roms and everything in between, and I still can't get a straight answer.

1) Does this work on ANYONE'S ATT HTC One X?

if so,

2) How do you do it? Are there easy instructions?

I'm have about three or four different things I still want to try, but I don't think any of them are confirmed to work with the at&t variant of the phone, just the international HOX version.

  • 0

#720
cbronson41

cbronson41

    Newbie

  • Members
  • Pip
  • 1 posts
  • Gender:Male
  • Devices:AT&T HTC One X

I have the "Insufficient secure element privileges" error when I start the app. I set permissions and installed as described, using most recent version as of the time stamp on this post.

Really hate to be that guy, but I have an at&t HTC One X and I can't get the app to run. I've seen all sorts of suggestions from an hour or so of googling, reading about changing build.props, loading libs, flashing roms and everything in between, and I still can't get a straight answer.

1) Does this work on ANYONE'S ATT HTC One X?

if so,

2) How do you do it? Are there easy instructions?

I'm have about three or four different things I still want to try, but I don't think any of them are confirmed to work with the at&t variant of the phone, just the international HOX version.


I've searched high and low and tried multiple processes and nothing works, keeps coming back to the Insufficient secure element privileges as well.

However with the release of at&t's JB update for the One X I was wondering if Paul would take another look at it to see if theres anything that can be done to get this working... Please!!!

  • 0




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users